Subject: bug#1337: crash on going into non-existing dir with find-file

From: YAMAMOTO Mitsuharu <[email-masked]>
Date: Sat, 15 Nov 2008 10:21:15 +0900

>>>>> On Fri, 14 Nov 2008 12:48:23 -0500, Chong Yidong <[email-masked]> said:

>> 1. eval (find-file "file:///Users/xah/web/emacs/apple_pc_kb_diff.html")
>> then you'll go into a empty buffer.
>> 
>> 2. now M-x find-file, hit Enter. Now i expect to go to the dir this  
>> file is located. (note that the file doesn't exist yet)
>> 
>> 3. emacs crashed.
>> 
>> am pretty sure this is 100% reproducible. It crashed 3 times on me.
>> 
>> In GNU Emacs 22.2.1 (powerpc-apple-darwin8.11.0, Carbon Version 1.6.0)
>> of 2008-04-05 on g5.tokyo.stp.isas.jaxa.jp

> I can't reproduce this on GNU Emacs 23.0.60.19 (i686-pc-linux-gnu, GTK+
> Version 2.14.4) of 2008-11-13.  This is probably either an Emacs 22 only
> bug or a Emacs Carbon bug.

I can't reproduce it with Emacs 22.3 Carbon on Mac OS X 10.5.5, either.

For further debugging, the following information would be helpful.

1. A crash log in ~/Library/CrashReporter/ if available.
2. A concrete procedure to reproduce the crash starting with
   ".../Emacs.app/Contents/MacOS/Emacs -Q" from the command line.
3. Whether it is reproducible with Emacs 22.3 Carbon, preferably with
   no modifications unlike Carbon Emacs Package or Aquamacs Emacs.

				     YAMAMOTO Mitsuharu
				[email-masked]